This document lists the events and parameters for
Sites Settings
Admin Audit activity events. You can retrieve these events by
calling [Activities.list()](https://developers.google.com/workspace/admin/reports/v1/reference/activities/list)
with `applicationName=admin`.

## Sites Settings


Events of this type are returned with `type=SITES_SETTINGS`.

### Add Web Address

Event gets triggered when a web address is added via cpanel.
Event details Event name `ADD_WEB_ADDRESS` Parameters `SITE_LOCATION` `string`


The website path.
`WEB_ADDRESS` `string`


The website's full URL.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=ADD_WEB_ADDRESS&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{WEB_ADDRESS} added as web address for site location {SITE_LOCATION}`

### Delete Web Address

Event gets triggered when a web address is deleted via cpanel.
Event details Event name `DELETE_WEB_ADDRESS` Parameters `SITE_LOCATION` `string`


The website path.
`WEB_ADDRESS` `string`


The website's full URL.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=DELETE_WEB_ADDRESS&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{WEB_ADDRESS} deleted as web address for site location {SITE_LOCATION}`

### Sites Setting Change

Event details Event name `CHANGE_SITES_SETTING` Parameters `DOMAIN_NAME` `string`


The primary domain name.
`NEW_VALUE` `string`


The new `SETTING_NAME` value that was set during this event.
`OLD_VALUE` `string`


The previous `SETTING_NAME` value that was replaced during this event.
`ORG_UNIT_NAME` `string`


The organizational unit (OU) name (path).
`SETTING_NAME` `string`


The unique name (ID) of the setting that was changed.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHANGE_SITES_SETTING&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{SETTING_NAME} for sites in your organization changed from {OLD_VALUE} to {NEW_VALUE}`

### Sites web address mapping change

Sites web address mapping update.
Event details Event name `CHANGE_SITES_WEB_ADDRESS_MAPPING_UPDATES` Parameters `SERVICE_NAME` `string`


The record to update.
`SITE_LOCATION` `string`


The website path.
`WEB_ADDRESS` `string`


The website's full URL.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=CHANGE_SITES_WEB_ADDRESS_MAPPING_UPDATES&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `{SERVICE_NAME} this {WEB_ADDRESS} as web address for site location {SITE_LOCATION}`

### Viewed Google Site details

Event details Event name `VIEW_SITE_DETAILS` Parameters `SITE_NAME` `string`


The name of the website.
Sample request `GET https://admin.googleapis.com/admin/reports/v1/activity/users/all/applications/admin?eventName=VIEW_SITE_DETAILS&maxResults=10&access_token=YOUR_ACCESS_TOKEN` Admin Console message format `Admin viewed the site details of {SITE_NAME}`